# 简介
DS Lab 可用于高等院校 `C 语言数据结构` 实验教学。DS Lab 提供了强大的数据结构`可视化`功能，可以让学生更加直观的理解数据结构与算法的原理。  

[查看 DS Lab 简介](http://www.engintime.com/node/21)

[下载 DS Lab 白皮书](http://www.engintime.com/forum/download/file.php?id=33&sid=a11f9bfa1a421ca0420eef89b88e078f)

# 观看演示录像
[DS Lab 演示录像](https://v.qq.com/x/page/g0871mhfrxt.html)  

# 实验教程
[《DS Lab 实验教程》](https://www.codecode.net/engintime/ds-lab/book/blob/master/README.md)

# 下载安装包
为了正常使用本软件，需要下载并安装下列软件。本软件可在 32/64 位 Windows 7/10 中安装使用。  
`注意`
```
建议在安装前关闭 360 软件，或者当 360 试图拦截安装过程时，选择信任本软件。
```
[DS Lab 安装包（腾讯微云）](https://share.weiyun.com/5f0FWLr)

[32-bit Git 2.19.1 安装包](https://github.com/git-for-windows/git/releases/download/v2.19.1.windows.1/Git-2.19.1-32-bit.exe)（如已安装 Git 2.18 以上版本，可以忽略此安装包）

[Markdown 编辑器安装包](https://bitbucket.org/rhiokim/haroopad-download/downloads/Haroopad-v0.13.1-win-ia32.msi)（可选）

# 免费申请账号
本软件已提供给全国高校教师免费使用，现在就加入下面的教师 QQ 群向管理员申请账号吧！
```
学生用户申请账号，请加 QQ 群 688079382。
```

![QQ Group](https://www.codecode.net/engintime/codecode/codecode/raw/master/img/codecode.net-qq-group.png)

# 入门指南
1. [免费申请账号](#免费申请账号)
2. [下载安装包](#下载安装包)
3. 从 [实验教程](#实验教程) 中选取合适的编程题目，完成编程实验。
4. 教师用户如需访问答案源代码，请首先访问[教师项目群组](https://www.codecode.net/engintime/ds-lab/teachers-packet)，申请访问权限，待审核通过后即可访问答案源代码。
4. [提交问题或建议](https://www.codecode.net/engintime/ds-lab/ds-lab/issues)
